WPS8GraphInternal::Pict Struct Reference

Internal: the picture content and its size. More...

## Public Member Functions

| Pict ()
| constructor More...

## Public Attributes

WPXBinaryData | m_data
| the content More...
Vec2f | m_size
| the size of the picture (if known) More...
bool | m_parsed
| flag to know if the data was send to the listener More...

## Detailed Description

Internal: the picture content and its size.

## Constructor & Destructor Documentation

WPS8GraphInternal::Pict::Pict | ( |  | ) |

inline

constructor

## Member Data Documentation

WPXBinaryData WPS8GraphInternal::Pict::m_data

the content

Referenced by WPS8Graph::readBDR(), WPS8Graph::readPICT(), WPS8Graph::sendObject(), and WPS8Graph::storeObjects().

bool WPS8GraphInternal::Pict::m_parsed

flag to know if the data was send to the listener

Referenced by WPS8Graph::sendObject().

Vec2f WPS8GraphInternal::Pict::m_size

the size of the picture (if known)

Referenced by WPS8Graph::readBDR(), WPS8Graph::readPICT(), WPS8Graph::sendObject(), and WPS8Graph::storeObjects().

The documentation for this struct was generated from the following file:

- WPS8Graph.cpp